[qtmoko] build failed

Vinzenz Hersche hersche at puzzle.ch
Wed Jul 14 10:27:01 CEST 2010

hello all,

i tried to build qtmoko from git - maybe i do something wrong? i did 
everything like it's written in the README-file..

my system is a ubuntu 10.04, kde is installed (so also qt should be 

maybe someone could help me.. or when will qtmoko v25 be released? i'm very 
interessted in some commits.. :)


root at freetheworld:/home/skamster/qtmokobuild/build# ../qtmoko/configure -device 
neo -force-build-qt

This is the Qt Extended Open Source Edition.

Skipping confirmation of the Qt Extended license agreement.

Testing the system Qt: (expected) FAIL

Building Qt...
Platform: linux-g++
Source:   /home/skamster/qtmokobuild/qtmoko/qtopiacore/qt
Build:    /home/skamster/qtmokobuild/build/qtopiacore/host
Install:  /home/skamster/qtmokobuild/build/sdk/qtopiacore/host

Configuring Qt
configure -platform linux-g++ -no-stl -no-exceptions -no-webkit -no-xmlpatterns
-no-phonon -fast -confirm-license -no-gtkstyle -no-sql-db2 -no-sql-ibase
-no-sql-mysql -no-sql-oci -no-sql-odbc -no-sql-psql -no-sql-sqlite
-no-sql-sqlite2 -no-sql-tds -qt-sql-sqlite -no-dbus -no-openssl -nomake
examples -nomake demos -nomake docs -prefix
/home/skamster/qtmokobuild/build/sdk/qtopiacore/host -debug
-no-separate-debug-info -no-qt3support -opensource

Setting up the include directory for Qt. Please wait...
Preparing build tree...

You are licensed to use this software under the terms of
the Lesser GNU General Public License (LGPL) versions 2.1.

Creating qmake. Please wait...
make[1]: Für das Ziel »first« ist nichts zu tun.
Basic XLib functionality test failed!
 You might need to modify the include and library search paths by editing
configure exited with value 1 at 
/home/skamster/qtmokobuild/qtmoko/src/build/bin/configure line 5223
	main::bootstrap_qt() called at 
/home/skamster/qtmokobuild/qtmoko/src/build/bin/configure line 1786
make: *** [src/build/mkconf/configure] Fehler 1

More information about the community mailing list